#!/usr/local/bin/python3
# -*- coding: UTF-8 -*-
import csv
import sys
 
def csv2txt(csvpath,txtpath):
    a=open(csvpath) 
    reader = csv.reader(a)
    with open(txtpath,'w') as f:
        for i in reader:  #这个位置开始报错
            for x in i:
                f.write(x)
                f.write('\t')
            f.write('\n')
    a.close()

def txt2vrsform(txtpath,outfile):
    with open(txtpath,'r') as readfile:
        starttime=""
        endtime=""
        VRS=[]
        VRS_num=1
        for line in readfile:
            vrs=[]
            data_line=line.strip('\n').split()
            if int(len(data_line))==1:continue
            if data_line[0]=='轨迹编号':continue
            if data_line[0]=='GPSWeek':continue
            if int(len(data_line))>5:
                if VRS_num<10:id="VR"+"0"+str(VRS_num)
                else:id="VR"+str(VRS_num)
                VRS_num=VRS_num+1
                starttime=data_line[3]
                endtime=data_line[6]
                vrsL=data_line[8]
                vrsB=data_line[9]
                if int(len(data_line))<11:vrsH=300
                else:vrsH=data_line[10]
                vrs.append(starttime);vrs.append(endtime);vrs.append(id);vrs.append(float(vrsL));vrs.append(float(vrsB));vrs.append(float(vrsH))
                VRS.append(vrs)
            if int(len(data_line))<5 and data_line[0][0]=='V':  #添加条件，防止乱码情况
                #print(data_line)
                if VRS_num<10:id="VR"+"0"+str(VRS_num)
                else:id="VR"+str(VRS_num)
                VRS_num=VRS_num+1
                vrsL=data_line[1]
                vrsB=data_line[2]
                if int(len(data_line))<4:vrsH=300
                else:vrsH=data_line[3]
                vrs.append(starttime);vrs.append(endtime);vrs.append(id);vrs.append(float(vrsL));vrs.append(float(vrsB));vrs.append(float(vrsH))
                VRS.append(vrs)
    with open(outfile,'w') as writefile:
        for i in range(len(VRS)):
            writefile.write(VRS[i][0]+" "+VRS[i][1]+" "+VRS[i][2]+" "+str(VRS[i][3])+" "+str(VRS[i][4])+" "+str(VRS[i][5])+"\n")
            
    
    
if __name__  == '__main__':  
    message='命令错误'
    if len(sys.argv)<=1 :
        print(message)
        sys.exit()
    csv2txt(sys.argv[1],sys.argv[2])
    txt2vrsform(sys.argv[2],sys.argv[3])
# csv2txt('/usr/dev/vdb1/zj/stu_version_write/rtk_post-master/CQ_input.csv',"test2.txt")
# #txt2vrsform('./test2.txt',"outfile.txt")
 
 
 
